org.apache.tiles.autotag.freemarker

## Class FMTemplateGeneratorFactory

- java.lang.Object
- - org.apache.tiles.autotag.freemarker.FMTemplateGeneratorFactory

- All Implemented Interfaces:
    TemplateGeneratorFactory

      public class FMTemplateGeneratorFactory
      extends Object
      implements TemplateGeneratorFactory

  Creates a template generator that generates code for Freemarker.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMTemplateGeneratorFactory(File classesOutputDirectory, org.apache.velocity.app.VelocityEngine velocityEngine, TemplateGeneratorBuilder templateGeneratorBuilder)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemplateGenerator` | `createTemplateGenerator()` Creates a template generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMTemplateGeneratorFactory

          public FMTemplateGeneratorFactory(File classesOutputDirectory,
                                            org.apache.velocity.app.VelocityEngine velocityEngine,
                                            TemplateGeneratorBuilder templateGeneratorBuilder)

      Constructor.
      Parameters:
        `classesOutputDirectory` - Directory where code will be placed.
        `velocityEngine` - The Velocity engine.
        `templateGeneratorBuilder` - The template generator builder.

  - ### Method Detail

    - #### createTemplateGenerator

          public TemplateGenerator createTemplateGenerator()

      Description copied from interface: `TemplateGeneratorFactory`
      Creates a template generator.
      Specified by:
        `createTemplateGenerator` in interface `TemplateGeneratorFactory`
      Returns:
        The newly created template generator.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.